// Example OpenMS includes
#include "ApplicationDialog.h"

#include <QtGui/QApplication>
#include <QtGui/QStyleFactory>

int main(int argc, char *argv[])
{

  //Create window
  QApplication app(argc,const_cast<char**>(argv));

  //set plastique style unless windows / mac style is available
  if (QStyleFactory::keys().contains("windowsxp",Qt::CaseInsensitive))
  {
    app.setStyle("windowsxp");
  }
  else if (QStyleFactory::keys().contains("macintosh",Qt::CaseInsensitive))
  {
    app.setStyle("macintosh");
  }
  else if (QStyleFactory::keys().contains("plastique",Qt::CaseInsensitive))
  {
    app.setStyle("plastique");
  }

  ApplicationDialog appDialog;

  appDialog.show();
  return app.exec();
	return 0;
}
